SAML SP 2.0 Single Sign On (SSO) - SAML Service Provider - Critical - Access bypass - SA-CONTRIB-2020-038

2020-11-19
Critical
拡張モジュール

2020/11/18(日本時間:GMT+9)、拡張モジュールにおいて脆弱性が発見されました。
インストールしているDrupalの導入モジュールを確認のうえ、必要な場合はアップデートをおすすめします。

●プロジェクト :SAML SP 2.0 Single Sign On (SSO) - SAML Service Provider
●投稿日 :2020/11/18
●セキュリティリスク : Critical
●脆弱性 :Access bypass

==概要==
このモジュールを使用すると、SAML2.0準拠のIDプロバイダーに常駐しているユーザーが、DrupalWebサイトにログインできます。

モジュールには2つの認証バイパスの脆弱性があります。

==解決方法==
最新バージョンをインストールします。
・Drupal 8.x用のminiorange_samlモジュールを使用する場合は、miniorange_saml 8.x-2.14 にアップグレードしてください。
・Drupal 7.x用のminiorange_samlモジュールを使用する場合は、 miniorange_saml 7.x-2.54 にアップグレードしてください。

==元記事==
https://www.drupal.org/sa-contrib-2020-038